OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXDEIGES
IGESCAFControl

# IGESCAFControl_Reader Class Reference

Provides a tool to read IGES file and put it into
DECAF document. Besides transfer of shapes (including
assemblies) provided by IGESControl, supports also
colors and part names
IGESCAFControl_Reader reader; Methods for translation of an IGES file:
reader.ReadFile("filename");
reader.Transfer(Document); or
reader.Perform("filename",doc);
Methods for managing reading attributes.
Colors
reader.SetColorMode(colormode);
Standard_Boolean colormode = reader.GetColorMode();
Layers
reader.SetLayerMode(layermode);
Standard_Boolean layermode = reader.GetLayerMode();
Names
reader.SetNameMode(namemode);
Standard_Boolean namemode = reader.GetNameMode();
.

`#include <IGESCAFControl_Reader.hxx>`

Inheritance diagram for IGESCAFControl_Reader:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESCAFControl_Reader ()
| Creates a reader with an empty IGES model and sets ColorMode, LayerMode and NameMode to Standard_True. .
Standard_EXPORT | IGESCAFControl_Reader (const Handle(XSControl_WorkSession)&WS, const Standard_Boolean scratch=Standard_True)
| Creates a reader tool and attaches it to an already existing Session Clears the session if it was not yet set for IGES .
Standard_EXPORT Standard_Boolean | Transfer (Handle(TDocStd_Document)&doc)
| Translates currently loaded IGES file into the document Returns True if succeeded, and False in case of fail .
Standard_EXPORT Standard_Boolean | Perform (const TCollection_AsciiString &filename, Handle(TDocStd_Document)&doc)
Standard_EXPORT Standard_Boolean | Perform (const Standard_CString filename, Handle(TDocStd_Document)&doc)
| Translate IGES file given by filename into the document Return True if succeeded, and False in case of fail .
Standard_EXPORT void | SetColorMode (const Standard_Boolean colormode)
| Set ColorMode for indicate read Colors or not. .
Standard_EXPORT Standard_Boolean | GetColorMode () const
Standard_EXPORT void | SetNameMode (const Standard_Boolean namemode)
| Set NameMode for indicate read Name or not. .
Standard_EXPORT Standard_Boolean | GetNameMode () const
Standard_EXPORT void | SetLayerMode (const Standard_Boolean layermode)
| Set LayerMode for indicate read Layers or not. .
Standard_EXPORT Standard_Boolean | GetLayerMode () const
## Protected Member Functions
Standard_EXPORT Standard_Boolean | ReadColors (Handle(TDocStd_Document)&doc) const
| Reads colors of IGES entities and sets corresponding color assignments in the DECAF document .
Standard_EXPORT Standard_Boolean | ReadNames (Handle(TDocStd_Document)&doc) const
| Reads Names of IGES entities and sets corresponding name to label with shape in the DECAF document .
Standard_EXPORT Standard_Boolean | ReadLayers (Handle(TDocStd_Document)&doc) const
| Reads layers of parts defined in the IGES model and set reference between shape and layers in the DECAF document .
## Private Attributes
Standard_Boolean | myColorMode
Standard_Boolean | myNameMode
Standard_Boolean | myLayerMode

## Constructor & Destructor Documentation

Standard_EXPORT IGESCAFControl_Reader::IGESCAFControl_Reader | ( |  | ) |

Standard_EXPORT IGESCAFControl_Reader::IGESCAFControl_Reader | ( | const Handle(XSControl_WorkSession)& | WS,
|  | const Standard_Boolean | scratch = `Standard_True`
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean IGESCAFControl_Reader::GetColorMode | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESCAFControl_Reader::GetLayerMode | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESCAFControl_Reader::GetNameMode | ( |  | ) | const

void IGESCAFControl_Reader::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from IGESControl_Reader.

void* IGESCAFControl_Reader::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from IGESControl_Reader.

void* IGESCAFControl_Reader::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from IGESControl_Reader.

Standard_EXPORT Standard_Boolean IGESCAFControl_Reader::Perform | ( | const Standard_CString | filename,
|  | Handle(TDocStd_Document)& | doc
| ) |

Standard_EXPORT Standard_Boolean IGESCAFControl_Reader::Perform | ( | const TCollection_AsciiString & | filename,
|  | Handle(TDocStd_Document)& | doc
| ) |

Standard_EXPORT Standard_Boolean IGESCAFControl_Reader::ReadColors | ( | Handle(TDocStd_Document)& | doc | ) | const`[protected]`

Standard_EXPORT Standard_Boolean IGESCAFControl_Reader::ReadLayers | ( | Handle(TDocStd_Document)& | doc | ) | const`[protected]`

Standard_EXPORT Standard_Boolean IGESCAFControl_Reader::ReadNames | ( | Handle(TDocStd_Document)& | doc | ) | const`[protected]`

Standard_EXPORT void IGESCAFControl_Reader::SetColorMode | ( | const Standard_Boolean | colormode | ) |

Standard_EXPORT void IGESCAFControl_Reader::SetLayerMode | ( | const Standard_Boolean | layermode | ) |

Standard_EXPORT void IGESCAFControl_Reader::SetNameMode | ( | const Standard_Boolean | namemode | ) |

Standard_EXPORT Standard_Boolean IGESCAFControl_Reader::Transfer | ( | Handle(TDocStd_Document)& | doc | ) |

## Field Documentation

Standard_Boolean IGESCAFControl_Reader::myColorMode`[private]`

Standard_Boolean IGESCAFControl_Reader::myLayerMode`[private]`

Standard_Boolean IGESCAFControl_Reader::myNameMode`[private]`

The documentation for this class was generated from the following file:

- IGESCAFControl_Reader.hxx